al_assert(3)

NAME
al_assert

SYNOPSIS
#include <allegro.h>

void al_assert(const char *file, int line);

DESCRIPTION
Raises an assert for an error at the specified file and line number. The file parameter is always given in ASCII format. If you have installed a custom assert handler it uses that, or if the environment variable ALLEGRO_ASSERT is set it writes a message into the file specified by the environment, otherwise it aborts the program with an error message. You will usually want to use the ASSERT() macro instead of calling this function directly.

SEE ALSO
ASSERT(3), al_trace(3), register_assert_handler(3)